# Schema: RolesModel
---
type: object
example:
  _type: Collection
  total: 5
  count: 5
  _embedded:
    elements:
    - _type: Role
      id: 3
      name: Manager
      _links:
        self:
          href: "/api/v3/roles/3"
          title: Manager
    - _type: Role
      id: 2
      name: Anonymous
      _links:
        self:
          href: "/api/v3/roles/2"
          title: Anonymous
    - _type: Role
      id: 5
      name: Reader
      _links:
        self:
          href: "/api/v3/roles/5"
          title: Reader
    - _type: Role
      id: 4
      name: Member
      _links:
        self:
          href: "/api/v3/roles/4"
          title: Member
    - _type: Role
      id: 1
      name: Non member
      _links:
        self:
          href: "/api/v3/roles/1"
          title: Non member
  _links:
    self:
      href: "/api/v3/roles"
